IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Calendar event updates

Snapshots of each time a calendar event is updated

The calendar event update object

Attributes

iduuid

Unique identifier

calendar_event_iduuid
calendar_events.id

Identifier of the related calendar event

next_product_iduuid
products.id

Unit the calendar event was booked for after the update

prev_product_iduuid
products.id

Unit the calendar event was booked for before the update

user_iduuid | null
user_profiles.user_id

Identifier of the user that made the update

created_attimestamp with time zone

Creation timestamp

next_intervaldaterange

Event interval after the update

next_status"CANCELLED" | "TENTATIVE" | "CONFIRMED"

Status of the calendar event after the update

prev_intervaldaterange

Event interval before the update

prev_status"CANCELLED" | "TENTATIVE" | "CONFIRMED"

Status of the calendar event before the update

The calendar event update object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "next_product_id": "00000000-0000-0000-0000-000000000000",
  "prev_product_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:54:55.878Z",
  "next_interval": null,
  "next_status": "CANCELLED",
  "prev_interval": null,
  "prev_status": "CANCELLED"
}

List calendar event updates

Filters

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

next_product_idFilter<uuid>
products.id

Unit the calendar event was booked for after the update

prev_product_idFilter<uuid>
products.id

Unit the calendar event was booked for before the update

user_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that made the update

created_atFilter<timestamp with time zone>

Creation timestamp

next_intervalFilter<daterange>

Event interval after the update

next_statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Status of the calendar event after the update

prev_intervalFilter<daterange>

Event interval before the update

prev_statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Status of the calendar event before the update

Responses

200

A list of calendar event updates with the selected columns

206

Partial Content

GET /calendar_event_updates
curl -X GET "https://api.bookingmood.com/v1/calendar_event_updates?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"